Closed Bug 1606706 Opened 1 year ago Closed 11 months ago

Land the new scheduler infrastructure on m-c

Categories

(Core :: XPCOM, task)

task
Not set
normal

Tracking

()

RESOLVED FIXED
mozilla80
Tracking Status
firefox80 --- fixed

People

(Reporter: bzbarsky, Assigned: bas.schouten)

References

(Blocks 1 open bug, Regressed 3 open bugs)

Details

(Keywords: perf-alert)

Attachments

(5 files)

This is a tracking bug for landing the TaskController infrastructure from https://hg.mozilla.org/users/bschouten_mozilla.com/taskmaster/ on mozilla-central.

Depends on: 1606410
Depends on: 1607953
Assignee: nobody → bas
Status: NEW → ASSIGNED
Blocks: 1637592

Filed bug 1637592 for the thread pool integration.

Whiteboard: leave-open
Attachment #9147280 - Attachment description: Bug 1606706 - Part 2: Integrate new TaskController code into tree and allow usage by pref. r=smaug,? → Bug 1606706 - Part 2: Integrate new TaskController code into tree and allow usage by pref. r=smaug,bas
Pushed by bschouten@mozilla.com:
https://hg.mozilla.org/integration/autoland/rev/c47cf57dab71
Part 1: Add new TaskController code to the tree. r=smaug,froydnj
https://hg.mozilla.org/integration/autoland/rev/ab3e1a067a71
Part 2: Integrate new TaskController code into tree and allow usage by pref. r=smaug,?

Backed out 2 changesets (bug 1606706) for talos tests timeouts

Push with failures: https://treeherder.mozilla.org/#/jobs?repo=autoland&searchStr=talos%2Cperformance%2Ctests&tochange=fb5ee52cb42c4d4b214ead6d324a0a664b738dcb&fromchange=865edc41179afc8f6f8a345d8c17a0a63597d6d8&selectedTaskRun=fG9Kvv2DTTGF8A1ZFkKQrg-0

Backout link: https://hg.mozilla.org/integration/autoland/rev/fb5ee52cb42c4d4b214ead6d324a0a664b738dcb

Failure log: https://treeherder.mozilla.org/logviewer.html#/jobs?job_id=304876603&repo=autoland&lineNumber=805

[task 2020-06-03T08:16:33.215Z] 08:16:33     INFO -  TEST-INFO | started process 1920 (C:\Users\task_1591169328\build\application\firefox\firefox -wait-for-browser -no-deelevate http://127.0.0.1:49798/getInfo.html --wait-for-browser)
[task 2020-06-03T08:16:34.822Z] 08:16:34     INFO -  __metrics
[task 2020-06-03T08:16:34.822Z] 08:16:34     INFO -  	Screen width/height: 1024/768
[task 2020-06-03T08:16:34.822Z] 08:16:34     INFO -  	colorDepth: 24
[task 2020-06-03T08:16:34.822Z] 08:16:34     INFO -  	Browser inner width/height: 1024/693
[task 2020-06-03T08:16:34.822Z] 08:16:34     INFO -  __metrics
[task 2020-06-03T08:16:34.900Z] 08:16:34     INFO -  JavaScript warning: resource://gre/modules/Troubleshoot.jsm, line 626: WebGL context was lost.
[task 2020-06-03T08:16:34.904Z] 08:16:34     INFO -  JavaScript warning: resource://gre/modules/Troubleshoot.jsm, line 626: WebGL context was lost.
[task 2020-06-03T08:16:34.926Z] 08:16:34     INFO -  about:support	{"application":{"name":"Firefox","osVersion":"Windows_NT 10.0","version":"79.0a1","buildID":"20200603055947","distributionID":"","userAgent":"Mozilla/5.0 (Windows NT 10.0; Win64; x64; rv:79.0) Gecko/20100101 Firefox/79.0","safeMode":false,"updateChannel":"nightly-autoland","supportURL":"https://support.mozilla.org/1/firefox/79.0a1/WINNT/en-US/","numTotalWindows":1,"numRemoteWindows":1,"launcherProcessState":0,"remoteAutoStart":true,"autoStartStatus":1,"policiesStatus":0,"keyLocationServiceGoogleFound":true,"keySafebrowsingGoogleFound":true,"keyMozillaFound":true},"securitySoftware":{"registeredAntiVirus":"","registeredAntiSpyware":"","registeredFirewall":""},"processes":{"remoteTypes":{"web":2,"extension":1,"gpu":1},"maxWebContentProcesses":8},"modifiedPreferences":{"browser.cache.disk.filesystem_reported":1,"browser.cache.disk.smart_size.enabled":false,"browser.contentblocking.category":"custom","browser.link.open_newwindow":2,"browser.search.region":"US","browser.startup.homepage_override.mstone":"79.0a1","browser.startup.homepage_override.buildID":"20200603055947","browser.tabs.remote.autostart":true,"browser.tabs.unloadOnLowMemory":false,"dom.forms.autocomplete.formautofill":true,"dom.allow_scripts_to_close_windows":true,"dom.disable_open_during_load":false,"dom.disable_window_flip":true,"dom.disable_window_move_resize":true,"dom.max_chrome_script_run_time":0,"dom.max_script_run_time":0,"dom.push.connection.enabled":false,"dom.send_after_paint_to_content":false,"extensions.checkCompatibility":false,"extensions.lastAppVersion":"79.0a1","general.useragent.updates.enabled":false,"gfx.crash-guard.wmfvpxvideo.deviceID":"0x193a","gfx.crash-guard.status.wmfvpxvideo":2,"gfx.crash-guard.wmfvpxvideo.driverVersion":"22.20.16.4815","gfx.crash-guard.wmfvpxvideo.appVersion":"79.0a1","gfx.webrender.all.qualified":false,"idle.lastDailyNotification":-1,"layers.mlgpu.sanity-test-failed":false,"media.gmp.storage.version.observed":1,"media.allowed-to-play.enabled":true,"media.autoplay.ask-permission":false,"media.autoplay.block-webaudio":false,"media.autoplay.blocking_policy":0,"media.autoplay.default":0,"media.block-autoplay-until-in-foreground":false,"media.capturestream_hints.enabled":true,"media.geckoview.autoplay.request":false,"media.gmp-manager.updateEnabled":false,"media.gmp-manager.url":"http://127.0.0.1/gmpmanager-dummy/update.xml","media.hardware-video-decoding.failed":false,"media.libavcodec.allow-obsolete":true,"media.navigator.enabled":true,"media.navigator.permission.disabled":true,"media.peerconnection.enabled":true,"media.peerconnection.mtransport_process":false,"network.http.speculative-parallel-limit":0,"network.process.enabled":false,"places.history.expiration.transient_current_max_pages":112348,"places.database.lastMaintenance":2147483647,"plugin.state.flash":0,"plugins.flashBlock.enabled":false,"privacy.reduceTimerPrecision":false,"privacy.trackingprotection.annotate_channels":false,"privacy.trackingprotection.enabled":false,"privacy.trackingprotection.introURL":"http://127.0.0.1/trackingprotection/tour","privacy.trackingprotection.pbmode.enabled":false,"security.certerrors.mitm.priming.enabled":false,"security.enable_java":false,"security.fileuri.strict_origin_policy":false,"security.sandbox.content.tempDirSuffix":"{df3a8bfd-02c2-4659-ab80-90c3cf246fa0}","security.sandbox.plugin.tempDirSuffix":"{ee8914a0-f210-4dad-a34f-0596d1942c67}","security.turn_off_all_security_so_that_viruses_can_take_over_this_computer":true,"services.sync.engine.addresses.available":true},"lockedPreferences":{"dom.ipc.processCount.webIsolated":1},"media":{"currentAudioBackend":"(remote error)","currentMaxAudioChannels":0,"currentPreferredSampleRate":44100,"audioOutputDevices":[],"audioInputDevices":[]},"accessibility":{"isActive":false,"forceDisabled":0,"handlerUsed":false,"instantiator":""},"startupCache":{"DiskCachePath":"C:\\Users\\task_1591169328\\AppData\\Local\\Temp\\tmpj_ag9w\\profile\\startupCache\\startupCache.8.little","IgnoreDiskCache":false,"FoundDiskCacheOnInit":false,"WroteToDiskCache":false},"libraryVersions":{"NSPR":{"minVersion":"4.25","version":"4.25"},"NSS":{"minVersion":"3.53","version":"3.53"},"NSSUTIL":{"minVersion":"3.53","version":"3.53"},"NSSSSL":{"minVersion":"3.53","version":"3.53"},"NSSSMIME":{"minVersion":"3.53","version":"3.53"}},"userJS":{"exists":true},"intl":{"localeService":{"requested":["en-US"],"available":["en-US"],"supported":["en-US"],"regionalPrefs":["en-US"],"defaultLocale":"en-US"},"osPrefs":{"systemLocales":["en-US"],"regionalPrefsLocales":["en-US"]}},"crashes":{"submitted":[],"pending":0},"sandbox":{"contentSandboxLevel":6,"effectiveContentSandboxLevel":6},"remoteAgent":{"listening":false,"url":""},"graphics":{"numTotalWindows":1,"numAcceleratedWindows":1,"windowLayerManagerType":"Direct3D 11","windowLayerManagerRemote":true,"windowUsingAdvancedLayers":true,"adapterDescription":"Intel(R) Iris(R) Pro Graphics P580","adapterVendorID":"0x8086","adapterDeviceID":"0x193a","adapterSubsysID":"18a9103c","adapterRAM":0,"adapterDrivers":"igdumdim64 igd10iumd64 igd10iumd64 igd12umd64 igdumdim32 igd10iumd32 igd10iumd32 igd12umd32","driverVendor":"","driverVersion":"22.20.16.4815","driverDate":"9-26-2017","adapterDescription2":"","adapterVendorID2":"","adapterDeviceID2":"","adapterSubsysID2":"","adapterRAM2":0,"adapterDrivers2":"","driverVendor2":"","driverVersion2":"","driverDate2":"","isGPU2Active":false,"direct2DEnabled":true,"directWriteEnabled":true,"directWriteVersion":"10.0.15063.0","clearTypeParameters":"Gamma: 1.8 Pixel Structure: RGB ClearType Level: 100 Enhanced Contrast: 50 ","usesTiling":false,"contentUsesTiling":false,"offMainThreadPaintEnabled":true,"offMainThreadPaintWorkerCount":4,"targetFrameRate":60,"webgl1Renderer":"Google Inc. -- ANGLE (Intel(R) Iris(R) Pro Graphics P580 Direct3D11 vs_5_0 ps_5_0)","webgl1Version":"OpenGL ES 2.0.0 (ANGLE 2.1.0.eabf2a79aac3)","webgl1DriverExtensions":"GL_ANGLE_client_arrays GL_ANGLE_depth_texture GL_ANGLE_explicit_context GL_ANGLE_explicit_context_gles1 GL_ANGLE_framebuffer_blit GL_ANGLE_framebuffer_multisample GL_ANGLE_instanced_arrays GL_ANGLE_lossy_etc_decode GL_ANGLE_memory_size GL_ANGLE_multi_draw GL_ANGLE_multiview_multisample GL_ANGLE_pack_reverse_row_order GL_ANGLE_program_cache_control GL_ANGLE_provoking_vertex GL_ANGLE_request_extension GL_ANGLE_robust_client_memory GL_ANGLE_texture_compression_dxt3 GL_ANGLE_texture_compression_dxt5 GL_ANGLE_texture_usage GL_ANGLE_translated_shader_source GL_CHROMIUM_bind_generates_resource GL_CHROMIUM_bind_uniform_location GL_CHROMIUM_color_buffer_float_rgb GL_CHROMIUM_color_buffer_float_rgba GL_CHROMIUM_copy_compressed_texture GL_CHROMIUM_copy_texture GL_CHROMIUM_lose_context GL_CHROMIUM_sync_query GL_EXT_blend_func_extended GL_EXT_blend_minmax GL_EXT_color_buffer_half_float GL_EXT_debug_marker GL_EXT_discard_framebuffer GL_EXT_disjoint_timer_query GL_EXT_draw_buffers GL_EXT_float_blend GL_EXT_frag_depth GL_EXT_instanced_arrays GL_EXT_map_buffer_range GL_EXT_occlusion_query_boolean GL_EXT_read_format_bgra GL_EXT_robustness GL_EXT_sRGB GL_EXT_shader_texture_lod GL_EXT_texture_compression_bptc GL_EXT_texture_compression_dxt1 GL_EXT_texture_compression_s3tc_srgb GL_EXT_texture_filter_anisotropic GL_EXT_texture_format_BGRA8888 GL_EXT_texture_rg GL_EXT_texture_storage GL_EXT_unpack_subimage GL_KHR_debug GL_KHR_parallel_shader_compile GL_KHR_robust_buffer_access_behavior GL_NV_EGL_stream_consumer_external GL_NV_fence GL_NV_pack_subimage GL_NV_pixel_buffer_object GL_OES_EGL_image GL_OES_EGL_image_external GL_OES_depth24 GL_OES_depth32 GL_OES_element_index_uint GL_OES_get_program_binary GL_OES_mapbuffer GL_OES_packed_depth_stencil GL_OES_rgb8_rgba8 GL_OES_standard_derivatives GL_OES_surfaceless_context GL_OES_texture_3D GL_OES_texture_border_clamp GL_OES_texture_float GL_OES_texture_float_linear GL_OES_texture_half_float GL_OES_texture_half_float_linear GL_OES_texture_npot GL_OES_vertex_array_object OES_compressed_EAC_R11_signed_texture OES_compressed_EAC_R11_unsigned_texture OES_compressed_EAC_RG11_signed_texture OES_compressed_EAC_RG11_unsigned_texture OES_compressed_ETC2_RGB8_texture OES_compressed_ETC2_RGBA8_texture OES_compressed_ETC2_punchthroughA_RGBA8_texture OES_compressed_ETC2_punchthroughA_sRGB8_alpha_texture OES_compressed_ETC2_sRGB8_alpha8_texture OES_compressed_ETC2_sRGB8_texture ","webgl1Extensions":"ANGLE_instanced_arrays EXT_blend_minmax EXT_color_buffer_half_float EXT_float_blend EXT_frag_depth EXT_shader_texture_lod EXT_sRGB EXT_texture_compression_bptc EXT_texture_filter_anisotropic MOZ_debug OES_element_index_uint OES_standard_derivatives OES_texture_float OES_texture_float_linear OES_texture_half_float OES_texture_half_float_linear OES_vertex_array_object WEBGL_color_buffer_float WEBGL_compressed_texture_s3tc WEBGL_compressed_texture_s3tc_srgb WEBGL_debug_renderer_info WEBGL_debug_shaders WEBGL_depth_texture WEBGL_draw_buffers WEBGL_lose_context","webgl1WSIInfo":"EGL_VENDOR: Google Inc. (adapter LUID: 0000000000004d3a)\nEGL_VERSION: 1.4 (ANGLE 2.1.0.eabf2a79aac3)\nEGL_EXTENSIONS: EGL_EXT_create_context_robustness EGL_ANGLE_d3d_share_handle_client_buffer EGL_ANGLE_d3d_texture_client_buffer EGL_ANGLE_surface_d3d_texture_2d_share_handle EGL_ANGLE_query_surface_pointer EGL_ANGLE_window_fixed_size EGL_ANGLE_keyed_mutex EGL_ANGLE_surface_orientation EGL_ANGLE_direct_composition EGL_NV_post_sub_buffer EGL_KHR_create_context EGL_EXT_device_query EGL_KHR_image EGL_KHR_image_base EGL_KHR_gl_texture_2D_image EGL_KHR_gl_texture_cubemap_image EGL_KHR_gl_renderbuffer_image EGL_KHR_get_all_proc_addresses EGL_KHR_stream EGL_KHR_stream_consumer_gltexture EGL_NV_stream_consumer_gltexture_yuv EGL_ANGLE_flexible_surface_compatibility EGL_ANGLE_stream_producer_d3d_texture EGL_ANGLE_create_context_webgl_compatibility EGL_CHROMIUM_create_context_bind_generates_resource EGL_CHROMIUM_sync_control EGL_EXT_pixel_format_float EGL_KHR_surfaceless_context EGL_ANGLE_display_texture_share_group EGL_ANGLE_create_context_client_arrays EGL_ANGLE_program_cache_control EGL_ANGLE_robust_resource_initialization EGL_ANGLE_create_context_extensions_enabled EGL_ANDROID_blob_cache EGL_ANDROID_recordable EGL_ANGLE_image_d3d11_texture EGL_ANGLE_create_context_backwards_compatible \nEGL_EXTENSIONS(nullptr): EGL_EXT_client_extensions EGL_EXT_platform_base EGL_EXT_platform_device EGL_ANGLE_platform_angle EGL_ANGLE_platform_angle_d3d EGL_ANGLE_device_creation EGL_ANGLE_device_creation_d3d11 EGL_ANGLE_experimental_present_path EGL_KHR_client_get_all_proc_addresses EGL_KHR_debug EGL_ANGLE_explicit_context EGL_ANGLE_feature_control ","webgl2Renderer":"Google Inc. -- ANGLE (Intel(R) Iris(R) Pro Graphics P580 Direct3D11 vs_5_0 ps_5_0)","webgl2Version":"OpenGL ES 3.0.0 (ANGLE 2.1.0.eabf2a79aac3)","webgl2DriverExtensions":"GL_ANGLE_client_arrays GL_ANGLE_copy_texture_3d GL_ANGLE_depth_texture GL_ANGLE_explicit_context GL_ANGLE_explicit_context_gles1 GL_ANGLE_framebuffer_blit GL_ANGLE_framebuffer_multisample GL_ANGLE_instanced_arrays GL_ANGLE_lossy_etc_decode GL_ANGLE_memory_size GL_ANGLE_multi_draw GL_ANGLE_multiview_multisample GL_ANGLE_pack_reverse_row_order GL_ANGLE_program_cache_control GL_ANGLE_provoking_vertex GL_ANGLE_request_extension GL_ANGLE_robust_client_memory GL_ANGLE_texture_compression_dxt3 GL_ANGLE_texture_compression_dxt5 GL_ANGLE_texture_multisample GL_ANGLE_texture_usage GL_ANGLE_translated_shader_source GL_CHROMIUM_bind_generates_resource GL_CHROMIUM_bind_uniform_location GL_CHROMIUM_color_buffer_float_rgb GL_CHROMIUM_color_buffer_float_rgba GL_CHROMIUM_copy_compressed_texture GL_CHROMIUM_copy_texture GL_CHROMIUM_lose_context GL_CHROMIUM_sync_query GL_EXT_blend_func_extended GL_EXT_blend_minmax GL_EXT_color_buffer_float GL_EXT_color_buffer_half_float GL_EXT_debug_marker GL_EXT_discard_framebuffer GL_EXT_disjoint_timer_query GL_EXT_draw_buffers GL_EXT_float_blend GL_EXT_frag_depth GL_EXT_instanced_arrays GL_EXT_map_buffer_range GL_EXT_occlusion_query_boolean GL_EXT_read_format_bgra GL_EXT_robustness GL_EXT_sRGB GL_EXT_shader_texture_lod GL_EXT_texture_compression_bptc GL_EXT_texture_compression_dxt1 GL_EXT_texture_compression_s3tc_srgb GL_EXT_texture_filter_anisotropic GL_EXT_texture_format_BGRA8888 GL_EXT_texture_norm16 GL_EXT_texture_rg GL_EXT_texture_storage GL_EXT_unpack_subimage GL_KHR_debug GL_KHR_parallel_shader_compile GL_KHR_robust_buffer_access_behavior GL_NV_EGL_stream_consumer_external GL_NV_fence GL_NV_pack_subimage GL_NV_pixel_buffer_object GL_OES_EGL_image GL_OES_EGL_image_external GL_OES_EGL_image_external_essl3 GL_OES_depth24 GL_OES_depth32 GL_OES_element_index_uint GL_OES_get_program_binary GL_OES_mapbuffer GL_OES_packed_depth_stencil GL_OES_rgb8_rgba8 GL_OES_standard_derivatives GL_OES_surfaceless_context GL_OES_texture_3D GL_OES_texture_border_clamp GL_OES_texture_float GL_OES_texture_float_linear GL_OES_texture_half_float GL_OES_texture_half_float_linear GL_OES_texture_npot GL_OES_vertex_array_object GL_OVR_multiview GL_OVR_multiview2 OES_compressed_EAC_R11_signed_texture OES_compressed_EAC_R11_unsigned_texture OES_compressed_EAC_RG11_signed_texture OES_compressed_EAC_RG11_unsigned_texture OES_compressed_ETC2_RGB8_texture OES_compressed_ETC2_RGBA8_texture OES_compressed_ETC2_punchthroughA_RGBA8_texture OES_compressed_ETC2_punchthroughA_sRGB8_alpha_texture OES_compressed_ETC2_sRGB8_alpha8_texture OES_compressed_ETC2_sRGB8_texture ","webgl2Extensions":"EXT_color_buffer_float EXT_float_blend EXT_texture_compression_bptc EXT_texture_filter_anisotropic MOZ_debug OES_texture_float_linear OVR_multiview2 WEBGL_compressed_texture_s3tc WEBGL_compressed_texture_s3tc_srgb WEBGL_debug_renderer_info WEBGL_debug_shaders WEBGL_lose_context","webgl2WSIInfo":"EGL_VENDOR: Google Inc. (adapter LUID: 0000000000004d3a)\nEGL_VERSION: 1.4 (ANGLE 2.1.0.eabf2a79aac3)\nEGL_EXTENSIONS: EGL_EXT_create_context_robustness EGL_ANGLE_d3d_share_handle_client_buffer EGL_ANGLE_d3d_texture_client_buffer EGL_ANGLE_surface_d3d_texture_2d_share_handle EGL_ANGLE_query_surface_pointer EGL_ANGLE_window_fixed_size EGL_ANGLE_keyed_mutex EGL_ANGLE_surface_orientation EGL_ANGLE_direct_composition EGL_NV_post_sub_buffer EGL_KHR_create_context EGL_EXT_device_query EGL_KHR_image EGL_KHR_image_base EGL_KHR_gl_texture_2D_image EGL_KHR_gl_texture_cubemap_image EGL_KHR_gl_renderbuffer_image EGL_KHR_get_all_proc_addresses EGL_KHR_stream EGL_KHR_stream_consumer_gltexture EGL_NV_stream_consumer_gltexture_yuv EGL_ANGLE_flexible_surface_compatibility EGL_ANGLE_stream_producer_d3d_texture EGL_ANGLE_create_context_webgl_compatibility EGL_CHROMIUM_create_context_bind_generates_resource EGL_CHROMIUM_sync_control EGL_EXT_pixel_format_float EGL_KHR_surfaceless_context EGL_ANGLE_display_texture_share_group EGL_ANGLE_create_context_client_arrays EGL_ANGLE_program_cache_control EGL_ANGLE_robust_resource_initialization EGL_ANGLE_create_context_extensions_enabled EGL_ANDROID_blob_cache EGL_ANDROID_recordable EGL_ANGLE_image_d3d11_texture EGL_ANGLE_create_context_backwards_compatible \nEGL_EXTENSIONS(nullptr): EGL_EXT_client_extensions EGL_EXT_platform_base EGL_EXT_platform_device EGL_ANGLE_platform_angle EGL_ANGLE_platform_angle_d3d EGL_ANGLE_device_creation EGL_ANGLE_device_creation_d3d11 EGL_ANGLE_experimental_present_path EGL_KHR_client_get_all_proc_addresses EGL_KHR_debug EGL_ANGLE_explicit_context EGL_ANGLE_feature_control ","info":{"AzureCanvasBackend (UI Process)":"skia","AzureFallbackCanvasBackend (UI Process)":"none","AzureContentBackend (UI Process)":"skia","AzureCanvasBackend":"direct2d 1.1","AzureContentBackend":"direct2d 1.1","ApzWheelInput":1,"ApzDragInput":1,"ApzKeyboardInput":1,"ApzAutoscrollInput":1,"CMSOutputProfile":"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","DisplayCount":1,"Display0":"1024x768@60Hz "},"featureLog":{"features":[{"name":"HW_COMPOSITING","description":"Compositing","status":"available","log":[{"type":"default","status":"available"}]},{"name":"D3D11_COMPOSITING","description":"Direct3D11 Compositing","status":"available","log":[{"type":"default","status":"available"}]},{"name":"DIRECT2D","description":"Direct2D","status":"available","log":[{"type":"default","status":"available"}]},{"name":"D3D11_HW_ANGLE","description":"Direct3D11 hardware ANGLE","status":"available","log":[{"type":"default","status":"available"}]},{"name":"GPU_PROCESS","description":"GPU Process","status":"available","log":[{"type":"default","status":"available"}]},{"name":"WEBRENDER","description":"WebRender","status":"opt-in","log":[{"type":"default","status":"opt-in","message":"WebRender is an opt-in feature"}]},{"name":"WEBRENDER_QUALIFIED","description":"WebRender qualified","status":"denied","log":[{"type":"default","status":"available"},{"type":"env","status":"denied","message":"Not on allowlist"}]},{"name":"WEBRENDER_COMPOSITOR","description":"WebRender native compositor","status":"unavailable","log":[{"type":"default","status":"available"},{"type":"runtime","status":"unavailable","message":"No DirectComposition usage"}]},{"name":"WEBRENDER_ANGLE","description":"WebRender ANGLE","status":"opt-in","log":[{"type":"default","status":"opt-in","message":"WebRender ANGLE is an opt-in feature"}]},{"name":"WEBRENDER_DCOMP_PRESENT","description":"WebRender DirectComposition","status":"opt-in","log":[{"type":"default","status":"opt-in","message":"WebRender DirectComposition is an opt-in feature"}]},{"name":"OMTP","description":"Off Main Thread Painting","status":"available","log":[{"type":"default","status":"available"}]},{"name":"ADVANCED_LAYERS","description":"Advanced Layers","status":"available","log":[{"type":"default","status":"available"}]},{"name":"WEBGPU","description":"WebGPU","status":"disabled","log":[{"type":"default","status":"disabled","message":"Disabled by default"}]}],"fallbacks":[]},"crashGuards":[]},"extensions":[{"name":"PageLoader extension","version":"1.1","isActive":true,"id":"pageloader@mozilla.org"},{"name":"Talos Powers","version":"1.1","isActive":true,"id":"talos-powers@mozilla.org"}],"features":[{"name":"DoH Roll-Out","version":"1.3.0","id":"doh-rollout@mozilla.org"},{"name":"Firefox Screenshots","version":"39.0.0","id":"screenshots@mozilla.org"},{"name":"Form Autofill","version":"1.0","id":"formautofill@mozilla.org"},{"name":"Web Compat","version":"11.0.0","id":"webcompat@mozilla.org"},{"name":"WebCompat Reporter","version":"1.3.0","id":"webcompat-reporter@mozilla.org"}]}
[task 2020-06-03T08:16:35.374Z] 08:16:35     INFO -  JavaScript error: moz-extension://793a5e2d-1b71-47be-8c48-1d7066774666/chrome/talos-powers-content.js, line 19: NS_ERROR_NOT_INITIALIZED:
[task 2020-06-03T08:16:35.496Z] 08:16:35    ERROR -  JavaScript error: resource://gre/modules/UpdateTimerManager.jsm, line 352: TypeError: setting getter-only property "gLogEnabled"
[task 2020-06-03T08:16:35.496Z] 08:16:35     INFO -  JavaScript error: resource://normandy/lib/RecipeRunner.jsm, line 290: NS_ERROR_XPC_JAVASCRIPT_ERROR_WITH_DETAILS: [JavaScript Error: "setting getter-only property "gLogEnabled"" {file: "resource://gre/modules/UpdateTimerManager.jsm" line: 352}]'[JavaScript Error: "setting getter-only property "gLogEnabled"" {file: "resource://gre/modules/UpdateTimerManager.jsm" line: 352}]' when calling method: [nsIUpdateTimerManager::registerTimer]
[task 2020-06-03T08:16:35.588Z] 08:16:35     INFO -  JavaScript error: resource:///modules/Discovery.jsm, line 104: NS_ERROR_NOT_AVAILABLE: Component returned failure code: 0x80040111 (NS_ERROR_NOT_AVAILABLE) [nsICookieManager.remove]
[task 2020-06-03T08:16:35.771Z] 08:16:35     INFO -  ###!!! [Child][RunMessage] Error: Channel closing: too late to send/recv, messages will be lost
[task 2020-06-03T08:16:35.790Z] 08:16:35     INFO -  ###!!! [Child][MessageChannel::SendAndWait] Error: Channel error: cannot send/recv
[task 2020-06-03T08:16:35.814Z] 08:16:35     INFO -  [2020-06-03T08:16:35Z ERROR xulstore::persist] removeDocument error: unavailable
[task 2020-06-03T08:16:35.889Z] 08:16:35     INFO -  TEST-INFO | 1920: exit 0
[task 2020-06-03T08:16:35.918Z] 08:16:35     INFO -  Browser initialized.
[task 2020-06-03T08:16:35.918Z] 08:16:35     INFO -  Fission enabled: False
[task 2020-06-03T08:16:36.165Z] 08:16:36     INFO -  Running cycle 1/1 for displaylist_mutate test...
[task 2020-06-03T08:16:36.167Z] 08:16:36     INFO -  Using env: {'ALLUSERSPROFILE': 'C:\\ProgramData',
[task 2020-06-03T08:16:36.167Z] 08:16:36     INFO -   'APPDATA': 'C:\\Users\\task_1591169328\\AppData\\Roaming',
[task 2020-06-03T08:16:36.167Z] 08:16:36     INFO -   'COMMONPROGRAMFILES': 'C:\\Program Files\\Common Files',
[task 2020-06-03T08:16:36.167Z] 08:16:36     INFO -   'COMMONPROGRAMFILES(X86)': 'C:\\Program Files (x86)\\Common Files',
[task 2020-06-03T08:16:36.167Z] 08:16:36     INFO -   'COMMONPROGRAMW6432': 'C:\\Program Files\\Common Files',
[task 2020-06-03T08:16:36.167Z] 08:16:36     INFO -   'COMPUTERNAME': 'T-W1064-MS-111',
[task 2020-06-03T08:16:36.167Z] 08:16:36     INFO -   'COMSPEC': 'C:\\windows\\system32\\cmd.exe',
[task 2020-06-03T08:16:36.168Z] 08:16:36     INFO -   'EXTRA_MOZHARNESS_CONFIG': '{"installer_url": "https://firefox-ci-tc.services.mozilla.com/api/queue/v1/task/G8mN7PZkRRaSjzZP6Rhgzg/artifacts/public/build/target.zip", "test_packages_url": "https://firefox-ci-tc.services.mozilla.com/api/queue/v1/task/G8mN7PZkRRaSjzZP6Rhgzg/artifacts/public/build/target.test_packages.json"}',
[task 2020-06-03T08:16:36.168Z] 08:16:36     INFO -   'GECKO_HEAD_REPOSITORY': 'https://hg.mozilla.org/integration/autoland',
[task 2020-06-03T08:16:36.168Z] 08:16:36     INFO -   'GECKO_HEAD_REV': 'ab3e1a067a7124392ef358135d918929bc078e37',
[task 2020-06-03T08:16:36.168Z] 08:16:36     INFO -   'HG_CACHE': 'C:\\tooltool-cache',
[task 2020-06-03T08:16:36.168Z] 08:16:36     INFO -   'HOMEDRIVE': 'C:',
[task 2020-06-03T08:16:36.168Z] 08:16:36     INFO -   'HOMEPATH': '\\Users\\task_1591169328',
[task 2020-06-03T08:16:36.168Z] 08:16:36     INFO -   'JSGC_DISABLE_POISONING': '1',
[task 2020-06-03T08:16:36.168Z] 08:16:36     INFO -   'LD_LIBRARY_PATH': 'C:\\Users\\task_1591169328\\build\\application\\firefox',
[task 2020-06-03T08:16:36.169Z] 08:16:36     INFO -   'LOCALAPPDATA': 'C:\\Users\\task_1591169328\\AppData\\Local',
[task 2020-06-03T08:16:36.169Z] 08:16:36     INFO -   'LOGONSERVER': '\\\\T-W1064-MS-111',
[task 2020-06-03T08:16:36.169Z] 08:16:36     INFO -   'MINIDUMP_SAVE_PATH': 'C:\\Users\\task_1591169328\\build\\blobber_upload_dir',
[task 2020-06-03T08:16:36.169Z] 08:16:36     INFO -   'MINIDUMP_STACKWALK': 'C:/Users/task_1591169328/fetches\\minidump_stackwalk\\minidump_stackwalk.exe',
[task 2020-06-03T08:16:36.169Z] 08:16:36     INFO -   'MOZILLABUILD': 'C:\\mozilla-build',
[task 2020-06-03T08:16:36.169Z] 08:16:36     INFO -   'MOZ_AUTOMATION': '1',
[task 2020-06-03T08:16:36.169Z] 08:16:36     INFO -   'MOZ_CRASHREPORTER': '1',
[task 2020-06-03T08:16:36.169Z] 08:16:36     INFO -   'MOZ_CRASHREPORTER_NO_REPORT': '1',
[task 2020-06-03T08:16:36.169Z] 08:16:36     INFO -   'MOZ_DISABLE_NONLOCAL_CONNECTIONS': '1',
[task 2020-06-03T08:16:36.169Z] 08:16:36     INFO -   'MOZ_FETCHES': '[{"artifact": "public/build/fix-stacks.tar.bz2", "extract": true, "task": "PVQ6u1jITNGxE6MEkXXpNQ"}, {"artifact": "public/build/minidump_stackwalk.tar.xz", "extract": true, "task": "DBbq4OcdQwmcpa3_mVjjJg"}]',
[task 2020-06-03T08:16:36.169Z] 08:16:36     INFO -   'MOZ_FETCHES_DIR': 'C:/Users/task_1591169328/fetches',
[task 2020-06-03T08:16:36.170Z] 08:16:36     INFO -   'MOZ_SCM_LEVEL': '3',
[task 2020-06-03T08:16:36.170Z] 08:16:36     INFO -   'MOZ_UPLOAD_DIR': 'C:\\Users\\task_1591169328\\build\\blobber_upload_dir',
[task 2020-06-03T08:16:36.170Z] 08:16:36     INFO -   'MOZ_USE_PAGELOADER': '1',
[task 2020-06-03T08:16:36.170Z] 08:16:36     INFO -   'MOZ_WEBRENDER': '0',
[task 2020-06-03T08:16:36.170Z] 08:16:36     INFO -   'NO_EM_RESTART': '1',
[task 2020-06-03T08:16:36.170Z] 08:16:36     INFO -   'NUMBER_OF_PROCESSORS': '8',
[task 2020-06-03T08:16:36.170Z] 08:16:36     INFO -   'ONEDRIVE': 'C:\\Users\\task_1591169328\\OneDrive',
[task 2020-06-03T08:16:36.171Z] 08:16:36     INFO -   'OS': 'Windows_NT',
[task 2020-06-03T08:16:36.171Z] 08:16:36     INFO -   'PATH': 'C:\\Users\\task_1591169328\\build\\venv\\Scripts;C:\\windows\\system32;C:\\windows;C:\\windows\\System32\\Wbem;C:\\windows\\System32\\WindowsPowerShell\\v1.0\\;C:\\Program Files\\Puppet Labs\\Puppet\\bin;C:\\Program Files\\Mellanox\\MLNX_VPI\\IB\\Tools;C:\\Program Files\\Mellanox\\MLNX_CIMProvider\\lib\\mft;C:\\Program Files\\Git\\cmd;C:\\Program Files (x86)\\GNU\\GnuPG\\pub;C:\\Program Files\\Mercurial\\;C:\\Program Files\\Mercurial;C:\\mozilla-build\\bin;C:\\mozilla-build\\kdiff;C:\\mozilla-build\\moztools-x64\\bin;C:\\mozilla-build\\mozmake;C:\\mozilla-build\\nsis-3.01;C:\\mozilla-build\\python;C:\\mozilla-build\\python\\Scripts;C:\\mozilla-build\\python3;C:\\mozilla-build\\msys\\bin;C:\\mozilla-build\\msys\\local\\bin;C:\\Program Files (x86)\\Windows Kits\\10\\Windows Performance Toolkit\\;C:\\Users\\task_1591169328\\AppData\\Local\\Microsoft\\WindowsApps',
[task 2020-06-03T08:16:36.171Z] 08:16:36     INFO -   'PATHEXT': '.COM;.EXE;.BAT;.CMD;.VBS;.VBE;.JS;.JSE;.WSF;.WSH;.MSC',
[task 2020-06-03T08:16:36.171Z] 08:16:36     INFO -   'PIP_DOWNLOAD_CACHE': 'C:\\pip-cache',
[task 2020-06-03T08:16:36.171Z] 08:16:36     INFO -   'PROCESSOR_ARCHITECTURE': 'AMD64',
[task 2020-06-03T08:16:36.171Z] 08:16:36     INFO -   'PROCESSOR_IDENTIFIER': 'Intel64 Family 6 Model 94 Stepping 3, GenuineIntel',
[task 2020-06-03T08:16:36.171Z] 08:16:36     INFO -   'PROCESSOR_LEVEL': '6',
[task 2020-06-03T08:16:36.171Z] 08:16:36     INFO -   'PROCESSOR_REVISION': '5e03',
[task 2020-06-03T08:16:36.171Z] 08:16:36     INFO -   'PROGRAMDATA': 'C:\\ProgramData',
[task 2020-06-03T08:16:36.171Z] 08:16:36     INFO -   'PROGRAMFILES': 'C:\\Program Files',
[task 2020-06-03T08:16:36.172Z] 08:16:36     INFO -   'PROGRAMFILES(X86)': 'C:\\Program Files (x86)',
[task 2020-06-03T08:16:36.172Z] 08:16:36     INFO -   'PROGRAMW6432': 'C:\\Program Files',
[task 2020-06-03T08:16:36.172Z] 08:16:36     INFO -   'PROMPT': '$P$G',
[task 2020-06-03T08:16:36.172Z] 08:16:36     INFO -   'PSMODULEPATH': '%ProgramFiles%\\WindowsPowerShell\\Modules;C:\\windows\\system32\\WindowsPowerShell\\v1.0\\Modules;C:\\Program Files\\Mellanox\\MLNX_VPI\\Tools\\WMI\\Modules;C:\\Program Files\\Mellanox\\MLNX_CIMProvider\\WMI\\Modules',
[task 2020-06-03T08:16:36.172Z] 08:16:36     INFO -   'PUBLIC': 'C:\\Users\\Public',
[task 2020-06-03T08:16:36.172Z] 08:16:36     INFO -   'PYTHONPATH': 'C:\\Users\\task_1591169328\\build\\tests\\talos',
[task 2020-06-03T08:16:36.172Z] 08:16:36     INFO -   'RUST_BACKTRACE': 'full',
[task 2020-06-03T08:16:36.172Z] 08:16:36     INFO -   'SCCACHE_DISABLE': '1',
[task 2020-06-03T08:16:36.172Z] 08:16:36     INFO -   'STYLO_FORCE_ENABLED': '1',
[task 2020-06-03T08:16:36.173Z] 08:16:36     INFO -   'SYSTEMDRIVE': 'C:',
[task 2020-06-03T08:16:36.173Z] 08:16:36     INFO -   'SYSTEMROOT': 'C:\\windows',
[task 2020-06-03T08:16:36.173Z] 08:16:36     INFO -   'TASKCLUSTER_ROOT_URL': 'https://firefox-ci-tc.services.mozilla.com',
[task 2020-06-03T08:16:36.173Z] 08:16:36     INFO -   'TASK_ID': 'fG9Kvv2DTTGF8A1ZFkKQrg',
[task 2020-06-03T08:16:36.173Z] 08:16:36     INFO -   'TASK_STOP_TIME': '1591170203',
[task 2020-06-03T08:16:36.173Z] 08:16:36     INFO -   'TEMP': 'C:\\Users\\task_1591169328\\AppData\\Local\\Temp',
[task 2020-06-03T08:16:36.173Z] 08:16:36     INFO -   'TMP': 'C:\\Users\\task_1591169328\\AppData\\Local\\Temp',
[task 2020-06-03T08:16:36.174Z] 08:16:36     INFO -   'TOOLTOOL_CACHE': 'C:\\builds\\tooltool_cache',
[task 2020-06-03T08:16:36.174Z] 08:16:36     INFO -   'USERDOMAIN': 'T-W1064-MS-111',
[task 2020-06-03T08:16:36.174Z] 08:16:36     INFO -   'USERDOMAIN_ROAMINGPROFILE': 'T-W1064-MS-111',
[task 2020-06-03T08:16:36.174Z] 08:16:36     INFO -   'USERNAME': 'task_1591169328',
[task 2020-06-03T08:16:36.174Z] 08:16:36     INFO -   'USERPROFILE': 'C:\\Users\\task_1591169328',
[task 2020-06-03T08:16:36.174Z] 08:16:36     INFO -   'WINDIR': 'C:\\windows'}
[task 2020-06-03T08:16:36.174Z] 08:16:36     INFO -  TEST-INFO | started process 6604 (C:\Users\task_1591169328\build\application\firefox\firefox -wait-for-browser -no-deelevate -profile c:\users\task_1591169328\appdata\local\temp\tmpj_ag9w\profile)
[taskcluster:error] Aborting task...
[taskcluster 2020-06-03T08:45:52.389Z] SUCCESS: The process with PID 6412 (child process of PID 6152) has been terminated.
[taskcluster 2020-06-03T08:45:52.389Z] SUCCESS: The process with PID 5612 (child process of PID 6152) has been terminated.
[taskcluster 2020-06-03T08:45:52.389Z] SUCCESS: The process with PID 6152 (child process of PID 6604) has been terminated.
[taskcluster 2020-06-03T08:45:52.389Z] SUCCESS: The process with PID 6604 (child process of PID 4908) has been terminated.
[taskcluster 2020-06-03T08:45:52.389Z] SUCCESS: The process with PID 4076 (child process of PID 3892) has been terminated.
[taskcluster 2020-06-03T08:45:52.389Z] SUCCESS: The process with PID 4908 (child process of PID 3892) has been terminated.
[taskcluster 2020-06-03T08:45:52.389Z] SUCCESS: The process with PID 3892 (child process of PID 7820) has been terminated.
[taskcluster 2020-06-03T08:45:52.389Z] SUCCESS: The process with PID 7112 (child process of PID 5804) has been terminated.
[taskcluster 2020-06-03T08:45:52.389Z] SUCCESS: The process with PID 7820 (child process of PID 5804) has been terminated.
[taskcluster 2020-06-03T08:45:52.389Z] SUCCESS: The process with PID 5804 (child process of PID 7992) has been terminated.
[taskcluster 2020-06-03T08:45:52.389Z] 
[taskcluster 2020-06-03T08:45:52.390Z] === Task Finished ===
[taskcluster 2020-06-03T08:45:52.390Z] Task Duration: 30m0.0396808s
[taskcluster 2020-06-03T08:45:52.462Z] Uploading artifact public/logs/localconfig.json from file logs\localconfig.json with content encoding "gzip", mime type "application/octet-stream" and expiry 2021-06-03T08:15:27.828Z
[taskcluster 2020-06-03T08:45:52.752Z] Uploading artifact public/test_info/g4_errorsummary.log from file build\blobber_upload_dir\g4_errorsummary.log with content encoding "gzip", mime type "text/plain" and expiry 2021-06-03T08:15:27.828Z
[taskcluster 2020-06-03T08:45:52.858Z] Uploading artifact public/test_info/g4_raw.log from file build\blobber_upload_dir\g4_raw.log with content encoding "gzip", mime type "text/plain" and expiry 2021-06-03T08:15:27.828Z
[taskcluster 2020-06-03T08:45:53.008Z] Uploading redirect artifact public/logs/live.log to URL https://firefox-ci-tc.services.mozilla.com/api/queue/v1/task/fG9Kvv2DTTGF8A1ZFkKQrg/runs/0/artifacts/public/logs/live_backing.log with mime type "text/plain; charset=utf-8" and expiry 2021-06-03T08:15:27.828Z
[taskcluster:error] Task aborted - max run time exceeded
Flags: needinfo?(bas)
Pushed by bschouten@mozilla.com:
https://hg.mozilla.org/integration/autoland/rev/5f8501eecd1b
Part 1: Add new TaskController code to the tree. r=smaug,froydnj
https://hg.mozilla.org/integration/autoland/rev/5b8af5e91633
Part 2: Integrate new TaskController code into tree and allow usage by pref. r=smaug
Flags: needinfo?(bas)
Regressions: 1617400
Blocks: 1646494
Whiteboard: leave-open
Pushed by bschouten@mozilla.com:
https://hg.mozilla.org/integration/autoland/rev/3fe0b4051541
Part 3: Enable new TaskController code by default. r=smaug
https://hg.mozilla.org/integration/autoland/rev/42b8f6456d16
Part 4: Mark some tests as no longer not running. r=jib

Note to sheriffs: I expect this to maybe -change- some random oranges since it affects timing a little bit, this is unavoidable for this patch, however it shouldn't cause new perma-oranges.

Note to perf sheriffs: I expect a bunch of small perf changes from enabling this by default. We've tested this using Visual Metrics and found no real differences. However I expect some improvements and regressions to fall out of this but the overall picture should be pretty neutral.

(In reply to Bogdan Tara[:bogdan_tara | bogdant] from comment #6)

Backed out 2 changesets (bug 1606706) for talos tests timeouts

== Change summary for alert #26336 (as of Thu, 25 Jun 2020 11:44:14 GMT) ==

Regressions:

0.17% installer size osx-shippable opt nightly 79,359,375.36 -> 79,491,627.83

For up to date results, see: https://treeherder.mozilla.org/perf.html#/alerts?id=26336

It looks like that directory is already leaking a lot, so your patch probably just changed around stack frames enough that it is missing the leak ignore list. It is a little hard to tell what directory is actually leaking, but I noticed that CustomElementReactionsStack is on the ignore list, and there's only one place we ignore leaks with that stack frame: testing/web-platform/meta/mixed-content/gen/top.http-rp/opt-in/__dir__.ini

What you'll want to do is delete the entire lsan-allowed line in that file, and replace it with lsan-disabled: true, which will cause us to ignore all of the leaks in that directory.

(In reply to Andrew McCreight [:mccr8] from comment #14)

It looks like that directory is already leaking a lot, so your patch probably just changed around stack frames enough that it is missing the leak ignore list. It is a little hard to tell what directory is actually leaking, but I noticed that CustomElementReactionsStack is on the ignore list, and there's only one place we ignore leaks with that stack frame: testing/web-platform/meta/mixed-content/gen/top.http-rp/opt-in/__dir__.ini

What you'll want to do is delete the entire lsan-allowed line in that file, and replace it with lsan-disabled: true, which will cause us to ignore all of the leaks in that directory.

Hah, I actually drew a fairly similar solution with the help of jgraham. I appreciate the assistance! Do you prefer if I disable lsan entirely over what I did in my patch? Fwiw, to me your approach sounds better, once we're leaking this much it's just a matter of time before someone hits this again.

Flags: needinfo?(bas)

This isn't the largest leak in the world, but it is more than a couple of objects, so I think just disabling it is fine. Even if we do start leaking something new, nobody is going to notice it with all of the other leaked stuff, so I think it is better to err on the side of saving other people the hassle.

Attachment #9160539 - Attachment description: Bug 1606706 - Part 5: Mark some additional leaks in an already leaky test. r=jgraham → Bug 1606706 - Part 5: Disable lsan for a very leaky test where it's offering no value. r=mccr8
Pushed by bschouten@mozilla.com:
https://hg.mozilla.org/integration/autoland/rev/37c7c2fad0cb
Part 3: Enable new TaskController code by default. r=smaug
https://hg.mozilla.org/integration/autoland/rev/2f98a1a35342
Part 4: Mark some tests as no longer not running. r=jib
https://hg.mozilla.org/integration/autoland/rev/4881bb77b535
Part 5: Disable lsan for a very leaky test where it's offering no value. r=mccr8
Status: ASSIGNED → RESOLVED
Closed: 11 months ago
Resolution: --- → FIXED
Target Milestone: --- → mozilla80
Depends on: 1649923
Regressions: 1650348
Regressions: 1649976
No longer regressions: 1649976
Regressions: 1650629
Regressions: 1658729
Regressions: 1661881
Depends on: 1673026
Regressions: 1692819
You need to log in before you can comment on or make changes to this bug.